Bug 1700769 - [Kubevirt-Foreman] PVC size has no validation
Summary: [Kubevirt-Foreman] PVC size has no validation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - CNV
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: Shira Maximov
QA Contact: Vladimír Sedmík
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-17 11:04 UTC by Vatsal Parekh
Modified: 2020-04-14 13:24 UTC (History)
5 users (show)

Fixed In Version: tfm-rubygem-fog-kubevirt-1.2.5, foreman_kubevirt-0.1.5,rubygem-foreman_kubevirt-0.1.5-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:24:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27684 Normal Closed [Kubevirt-Foreman] PVC size has no validation 2020-08-03 10:24:23 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:24:22 UTC

Description Vatsal Parekh 2019-04-17 11:04:06 UTC
Description of problem:
The size of PVC has no validation in the Create host form

production.log
```
 <Kubeclient::HttpError> PersistentVolumeClaim in version "v1" cannot be handled as a PersistentVolumeClaim: v1.PersistentVolumeClaim.Spec: v1.PersistentVolumeClaimSpec.AccessModes: []v1.PersistentVolumeA
ccessMode: Resources: v1.ResourceRequirements.Requests: unmarshalerDecoder: quantities must match the regular expression '^([+-]?[0-9.]+)([eEinumkKMGTP]*[-+]?[0-9]*)$', error found in #10 byte of ...|rage":"xG"}
},"access|..., bigger context ...|s-storage","resources":{"requests":{"storage":"xG"}},"accessModes":["ReadWriteOnce"]}}|...
```

Version-Release number of selected component (if applicable):
plugin master

How reproducible:


Steps to Reproduce:
1.Go to create a host
2.Under Virtual Machine tabs, add storage with wrong values
3.

Actual results:
Does not have validation, and causes wrong exception due to size format being wrong

Expected results:
Should give proper exception if the format of the entry was wrong

Additional info:

Comment 5 Shira Maximov 2019-08-22 12:32:57 UTC
Created redmine issue https://projects.theforeman.org/issues/27684 from this bug

Comment 12 errata-xmlrpc 2020-04-14 13:24:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.